Skip to content
vocapable.Docs

The company's audit trail, newest first

GET
/v1/workspace/audit-log
curl --request GET \
--url 'https://api.vocapable.com/v1/workspace/audit-log?limit=50' \
--header 'Authorization: Bearer <token>'
actor_user_id
Any of:
string
<= 64 characters
action
Any of:
Array<string>
<= 10 items
resource_type
Any of:
string
<= 80 characters
since
Any of:
string format: date-time
until
Any of:
string format: date-time
cursor
Any of:
string
<= 200 characters
limit
Limit
integer
default: 50 >= 1 <= 200

Successful Response

Media typeapplication/json
WorkspaceAuditLog
object
entries
required
Entries
Array<object>
WorkspaceAuditEntry
object
id
required
Id
string
occurred_at
required
Occurred At
string format: date-time
actor_type
required
Actor Type
string
actor_id
required
Any of:
string
actor_name
required
Any of:
string
action
required
Action
string
resource_type
required
Any of:
string
resource_id
required
Any of:
string
before
required
Any of:
object
key
additional properties
any
after
required
Any of:
object
key
additional properties
any
ip
required
Any of:
string
request_id
required
Any of:
string
next_cursor
required
Any of:
string
Examplegenerated
{
"entries": [
{
"id": "example",
"occurred_at": "2026-04-15T12:00:00Z",
"actor_type": "example",
"actor_id": "example",
"actor_name": "example",
"action": "example",
"resource_type": "example",
"resource_id": "example",
"before": {},
"after": {},
"ip": "example",
"request_id": "example"
}
],
"next_cursor": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}